//***************************************************************************************************************************
//*
//*			SCOMM - Utilities
//*
//* 2014 Oct   : V1 / bhilpert
//*
//***************************************************************************************************************************
#include <unistd.h>
#include <time.h>
#include "util.h"


//-----------------------------------------------
// String Keyword Matching

int
s_kwMatch( kw, str )
	char*			kw;
	char*			str;
 {
	int			required;
	char			*k, *s;

	if( !str ) str = "";

	required = TRUE;
	k = kw;
	s = str;

	repeat
	 {	if( *k == '*' )
		 {	required = FALSE;
			++k;
		 }
		if( !*s )
		 {	if( !required || !*k )
				return TRUE;
			break;
		 }
		if( *k != *s )
			break;
		++k;
		++s;
	 }

	return FALSE;
 }


//-----------------------------------------------
// String Token Parsing

char*
s_token( parse )
	char**			parse;
 {
	char			*s, *token;

	s = *parse;

	while( *s==' ' || *s=='\t' || *s=='\n' ) ++s;		// skip white space
	if( !*s )
		return( NULL );

	token = s;
	while( *s && *s!=' ' && *s!='\t' && *s!='\n' ) ++s;	// collect token
	if( *s ) *s++ = 0;

	*parse = s;

	return( token );
 }


//----------------------------------------------
// Sleep for microseconds

int
sleepuS( uS )
	int			uS;
 {
	struct timespec		tmr;

	tmr.tv_nsec = uS*1000;
	tmr.tv_sec  = 0;

	return( nanosleep(&tmr,NULL) );
 }


//** EOF
//***************************************************************************************************************************
